Bug 1019231 - [abrt] gnome-tweak-tool-3.10.0-1.fc20: tweak_group_startup.py:78:_build_widget:TypeError: Argument 0 does not allow None as a value
[abrt] gnome-tweak-tool-3.10.0-1.fc20: tweak_group_startup.py:78:_build_widge...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-tweak-tool (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mohamed El Morabity
Fedora Extras Quality Assurance
abrt_hash:29fbe8c55eeaaad7b07584b16b6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-15 06:40 EDT by masami256
Modified: 2015-06-29 08:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:38:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1005 bytes, text/plain)
2013-10-15 06:40 EDT, masami256
no flags Details
File: environ (1.71 KB, text/plain)
2013-10-15 06:40 EDT, masami256
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 711096 None None None Never

  None (edit)
Description masami256 2013-10-15 06:40:13 EDT
Description of problem:
Select "Startup Applications" and click "+" button then I got crash.

Version-Release number of selected component:
gnome-tweak-tool-3.10.0-1.fc20

Additional info:
reporter:       libreport-2.1.8
cmdline:        python /usr/bin/gnome-tweak-tool
executable:     /usr/bin/gnome-tweak-tool
kernel:         3.12.0-rc5-ktest
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
tweak_group_startup.py:78:_build_widget:TypeError: Argument 0 does not allow None as a value

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/gtweak/tweaks/tweak_group_startup.py", line 185, in _on_add_clicked
    set(self._get_running_executables()))
  File "/usr/lib/python2.7/site-packages/gtweak/tweaks/tweak_group_startup.py", line 51, in __init__
    _("running") if running else "")
  File "/usr/lib/python2.7/site-packages/gtweak/tweaks/tweak_group_startup.py", line 78, in _build_widget
    img = Gtk.Image.new_from_gicon(a.get_icon(),Gtk.IconSize.DIALOG)
TypeError: Argument 0 does not allow None as a value

Local variables in innermost frame:
a: <DesktopAppInfo object at 0x7fa42e6e1d20 (GDesktopAppInfo at 0x3094410)>
self: <_AppChooser object at 0x7fa436c04870 (gtweak+tweaks+tweak_group_startup+_AppChooser at 0x34862a0)>
extra: ''
g: <Grid object at 0x7fa42e6f0230 (GtkGrid at 0x347f720)>
row: <ListBoxRow object at 0x7fa42e6f00a0 (GtkListBoxRow at 0x32c56a0)>
Comment 1 masami256 2013-10-15 06:40:18 EDT
Created attachment 812421 [details]
File: backtrace
Comment 2 masami256 2013-10-15 06:40:21 EDT
Created attachment 812422 [details]
File: environ
Comment 3 Fedora End Of Life 2015-05-29 05:34:34 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 08:38:33 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.